FROM alpine:edge

RUN apk add -U --no-cache gitlab-runner doas

COPY register-runners entrypoint /usr/local/bin/

VOLUME ["/etc/gitlab-runner"]
ENTRYPOINT ["/usr/local/bin/entrypoint"]
CMD ["run", "--user=gitlab-runner", "--working-directory=/var/lib/gitlab-runner"]
